Package org.apache.tomcat.util.threads

## Class StopPooledThreadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tomcat.util.threads.StopPooledThreadException

All Implemented Interfaces:
  `java.io.Serializable`

    public class StopPooledThreadException
    extends java.lang.RuntimeException

A custom `RuntimeException` thrown by the `ThreadPoolExecutor` to signal that the thread should be disposed of.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`StopPooledThreadException​(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopPooledThreadException

    public StopPooledThreadException​(java.lang.String msg)